
Foreman - Bug #17918

Smart class parameters in audits appear as Smart Variable

01/04/2017 05:46 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.16.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4165

  

Description

Both smart class parameters and Smart variable currently use the audit type LookupKey which is translated to Smart Variable: 

https://github.com/theforeman/foreman/blob/develop/app/helpers/audits_helper.rb#L137

They should be separated in the audits.

Related issues:

Related to Foreman - Refactor #10832: Make LookupKey an STI for puppet and va... Closed 06/16/2015

Associated revisions

Revision 364c5208 - 07/12/2017 05:03 AM - Ori Rabin

Fixes #17918,#19354 - Smart class parameters appear in audits

History

#1 - 01/04/2017 05:49 AM - Ori Rabin

- Related to Refactor #10832: Make LookupKey an STI for puppet and variable keys added

#2 - 01/09/2017 07:51 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4165 added

#3 - 07/12/2017 05:54 AM - Tomer Brisker

- translation missing: en.field_release set to 240

#4 - 07/12/2017 05:54 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed
